
Foreman - Bug #36826

Subscription entitlement report broken for SCA users

10/12/2023 07:02 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Reporting   

Target version: 3.9.0   

Difficulty:  Fixed in Releases: 3.9.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9863,

https://github.com/theforeman/foreman/p

ull/9905

  

Description

The subscription entitlement report needs to be edited to not report consumption data for SCA organizations. Also, it should be

renamed.

New fields to add as well: System role + usage

Related issues:

Blocked by Katello - Bug #36828: Add methods to safemode jail for new product... Closed

Associated revisions

Revision 1c1d5e25 - 10/24/2023 06:59 PM - Ian Ballou 

Fixes #36826 - Add Host - Installed Products report

Add system purpose role and usage to subscriptions entitlement report

Revision 2774da22 - 11/15/2023 03:25 PM - Ian Ballou 

Refs #36826 - Fix Subscription Entitlement Report headers

History

#1 - 10/12/2023 07:03 PM - Ian Ballou

- Project changed from Katello to Foreman

- Category changed from Reporting to Reporting

- Target version changed from Katello 4.11.0 to 3.9.0

#2 - 10/12/2023 09:17 PM - Ian Ballou

- Blocked by Bug #36828: Add methods to safemode jail for new products report added

#3 - 10/13/2023 07:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9863 added

#4 - 10/24/2023 06:59 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#5 - 10/24/2023 07:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1c1d5e25c1d7ea9c9cc7e5602c45d2b736a1e10c.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1c1d5e25c1d7ea9c9cc7e5602c45d2b736a1e10c


#6 - 11/15/2023 02:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9905 added
